monolog:
    handlers:
        main:
            type:         fingers_crossed
            action_level: error
            handler:      grouped
            excluded_http_codes: [404, 405]
            channels: ["!console"]
            buffer_size: 50 # How many messages should be saved? Prevent memory leaks
        grouped:
            type:    group
            members: [nested, deduplicated]
        nested:
            type: rotating_file
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: error
            max_files: 14
        deduplicated:
            type:    deduplication
            handler: symfony_mailer
        symfony_mailer:
            type:         symfony_mailer
            from_email:   'error@orata.com'
            to_email:     'contact@orata.com'
            subject:      'An Error Occurred! %%message%%'
            level:        critical
            formatter:    monolog.formatter.html
            content_type: text/html